.userInterface {
    position: fixed;
    top: 0;
    right: 0;
    max-width: 400px;
    width: 100%;
    display: flex;
    flex-direction: column;
    background: #3c3c3c;
    overflow: auto;
    max-height: 100vh;
    height: 100%;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.5);
    z-index: 2;

    input#link_invitation {
        width: ~"calc(100% - 100px)";
    }

    button.link_invitation {
        display: inline-block;
        width: 98px !important;
    }

    .accueil & {
        overflow: hidden;

        img {
            position: absolute;
            height: 100%;
            object-fit: cover;
        }
    }

    .profil {
        position: relative;
        display: flex;
        flex-wrap: wrap;
        padding: 20px;
        box-sizing: border-box;
        background: linear-gradient(to bottom right, #1c1c1cba, #111);

        .img_profil {
            position: relative;
            display: block;
            width: 75px;
            height: 75px;
            border-radius: 100%;
            overflow: hidden;
            border: 2px solid #4a4a4a;
            box-sizing: border-box;

            &::before {
                content: '\f007';
                .fas;
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -53%);
                z-index: 0;
                color: #4a4a4a;
                font-size: 34px;
            }
        }

        .image {
            position: relative;
            display: block;
            width: 75px;
            height: 75px;
            border-radius: 100%;
            overflow: hidden;

            img {
                display: block;
                width: 75px;
                height: 75px;
                object-fit: cover;
            }

            a.btnProfil {
                position: absolute;
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                border-radius: 100%;
                display: flex;
                justify-content: center;
                align-items: center;
                width: 100%;
                height: 100%;
                .tr;

                &::before {
                    opacity: 0;
                    z-index: 1;
                    color: #fff;
                    .tr;
                }

                &:hover, &:focus {
                    background: rgba(0, 0, 0, 0.5);

                    &::before {
                        opacity: 1;
                    }
                }
            }
        }

        .pseudo {
            display: flex;
            flex-direction: column;
            justify-content: center;
            width: ~"calc(100% - 75px)";
            padding: 5px 30px 5px 10px;
            box-sizing: border-box;

            span {
                flex: 0 0 50%;
                display: flex;
                align-items: center;
                color: #dfdfdf;
                font-weight: bold;

                &.ID {
                    color: #aeaeae;
                }
            }
        }
    }

    .bloc_gestion {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 100%;

        .bloc_navigation {
            background: #262626;
            border-bottom: 1px solid #3c3c3c;
        }

        ul.navigation {
            position: relative;
            width: 100%;
            display: flex;
            justify-content: center;
            padding: 0 10px;
            box-sizing: border-box;

            li {
                display: inline-block;
                font-weight: bold;

                &:last-child {
                    margin-right: 0;
                }

                a {
                    position: relative;
                    display: inline-block;
                    padding: 20px 17px;
                    box-sizing: border-box;
                    color: #fff;

                    &::after {
                        content: '';
                        position: absolute;
                        left: 0;
                        right: 0;
                        top: 0;
                        bottom: 0;
                        background: linear-gradient(to bottom, transparent, #3c3c3c);
                        opacity: 0;
                        .tr;
                    }

                    &.selected {
                        &::before {
                            position: relative;
                            z-index: 1;
                        }

                        &::after {
                            background: linear-gradient(to bottom, transparent, #3c3c3c) !important;
                            opacity: 1;
                        }
                    }

                    &:not(.selected):hover, &:focus {
                        &::after {
                            opacity: 0.3;
                        }
                    }
                }
            }
        }

        .groupe, .help {
            position: relative;
            margin: 10px;
            background: #404040;
            border: 1px solid #282828;
            border-radius: 7px;
            box-sizing: border-box;

            .select {
                padding: 5px 25px;
                box-sizing: border-box;
                border-bottom: 1px solid #282828;

                h2 {
                    margin-bottom: 0;
                    padding: 10px 0;
                }

                #btnGroupeModal {
                    position: relative;
                    display: inline-block;
                    width: 100%;
                    margin: 0;
                    padding: 2px 0 0;
                    box-sizing: border-box;
                    background: none;
                    border: none;
                    outline: 0;
                    text-align: left;
                    cursor: pointer;

                    &.unique {
                        &::after {
                            content: none;
                        }
                    }

                    &::after {
                        content: '\f054';
                        .fas;
                        position: absolute;
                        right: 0;
                        top: 50%;
                        transform: translateY(-50%);
                        color: #b0b0b0;
                        .tr;
                    }

                    &:hover, &:focus {
                        &::after {
                            color: #fff;
                        }
                    }

                    &[aria-expanded="true"] {
                        &::after {
                            transform: translateY(-50%) rotate(90deg);
                        }
                    }

                    h2 {
                        margin-bottom: 0;
                    }
                }

                h2, a {
                    color: #B0B0B0;
                }

                ul {
                    padding: 0;
                    margin: 0;
                    list-style-type: none;
                }
            }
        }
    }
}